-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/barovhelper/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Better luck next time"] = "Better luck next time"
Ld["challenge the Mistress of Illusion"] = "challenge the Mistress of Illusion"
Ld["Jandice Barov"] = "Jandice Barov"
Ld["Ugh... death... hurts? Unreal"] = "Ugh... death... hurts? Unreal"


if locale == "frFR" then do end
La["Better luck next time"] = "Vous aurez peut-être plus de chance la prochaine fois"
La["challenge the Mistress of Illusion"] = "Défiez la maîtresse de l’illusion" -- Needs review
La["Jandice Barov"] = "Jandice Barov"
La["Ugh... death... hurts? Unreal"] = "Aïe… une mort… douloureuse ? Inconcevable"

elseif locale == "deDE" then do end
La["Better luck next time"] = "Viel Glück beim nächsten Mal"
La["challenge the Mistress of Illusion"] = "die Herrin der Illusion herauszufordern"
La["Jandice Barov"] = "Jandice Barov"
La["Ugh... death... hurts? Unreal"] = "Uh... sterben... tut weh? Unwirklich"

elseif locale == "koKR" then do end
-- La["Better luck next time"] = ""
La["challenge the Mistress of Illusion"] = "와서 오늘 운수를 확인해 봐! 하하하하하..." -- Needs review
La["Jandice Barov"] = "잔다이스 바로브" -- Needs review
La["Ugh... death... hurts? Unreal"] = "억... 죽는 게... 아프다니? 말도 안 돼..." -- Needs review

elseif locale == "esMX" then do end
-- La["Better luck next time"] = ""
-- La["challenge the Mistress of Illusion"] = ""
-- La["Jandice Barov"] = ""
-- La["Ugh... death... hurts? Unreal"] = ""

elseif locale == "ruRU" then do end
La["Better luck next time"] = "Может, в следующий раз вам повезет больше"
La["challenge the Mistress of Illusion"] = "бросить вызов госпоже иллюзий"
La["Jandice Barov"] = "Джандис Барова"
La["Ugh... death... hurts? Unreal"] = "Оказывается... умирать... невыносимо больно"

elseif locale == "zhCN" then do end
La["Better luck next time"] = "下次好运" -- Needs review
La["challenge the Mistress of Illusion"] = "挑战女主人的错觉" -- Needs review
La["Jandice Barov"] = "詹迪斯·巴罗夫" -- Needs review
La["Ugh... death... hurts? Unreal"] = "呃...死亡......痛不痛？虚幻" -- Needs review

elseif locale == "esES" then do end
-- La["Better luck next time"] = ""
La["challenge the Mistress of Illusion"] = "desafiar a la señora de las ilusiones" -- Needs review
La["Jandice Barov"] = "Jandice Barov" -- Needs review
La["Ugh... death... hurts? Unreal"] = "Aah... ¿la muerte... duele? Increíble" -- Needs review

elseif locale == "zhTW" then do end
-- La["Better luck next time"] = ""
-- La["challenge the Mistress of Illusion"] = ""
-- La["Jandice Barov"] = ""
-- La["Ugh... death... hurts? Unreal"] = ""

elseif locale == "ptBR" then do end
-- La["Better luck next time"] = ""
La["challenge the Mistress of Illusion"] = "desafiar a Senhora da Ilusão" -- Needs review
La["Jandice Barov"] = "Janice Barov" -- Needs review
La["Ugh... death... hurts? Unreal"] = "Ugh... morrer... dói...? Não acredito" -- Needs review

elseif locale == "itIT" then do end
-- La["Better luck next time"] = ""
-- La["challenge the Mistress of Illusion"] = ""
-- La["Jandice Barov"] = ""
-- La["Ugh... death... hurts? Unreal"] = ""

end
